val-sel-commit.cpp File Reference
`#include <gecode/int/branch.hh>`

Go to the source code of this file.

## Namespaces

namespace | Gecode
| Gecode toplevel namespace
namespace | Gecode::Int
| Finite domain integers.
namespace | Gecode::Int::Branch
| Integer branchers.

## Functions

ValSelCommitBase< IntView, int > * | Gecode::Int::Branch::valselcommit (Space &home, const IntValBranch &ivb)
| Return value and commit for integer views.
ValSelCommitBase< IntView, int > * | Gecode::Int::Branch::valselcommit (Space &home, const IntAssign &ia)
| Return value and commit for integer views.
ValSelCommitBase< BoolView, int > * | Gecode::Int::Branch::valselcommit (Space &home, const BoolValBranch &bvb)
| Return value and commit for Boolean views.
ValSelCommitBase< BoolView, int > * | Gecode::Int::Branch::valselcommit (Space &home, const BoolAssign &ba)
| Return value and commit for Boolean views.